org.jbpm.services.task.audit.service

## Class TaskJPAAuditService

- java.lang.Object
- - org.jbpm.process.audit.JPAAuditLogService
  - - org.jbpm.services.task.audit.service.TaskJPAAuditService

- All Implemented Interfaces:
    AuditLogService, org.kie.api.runtime.manager.audit.AuditService
  Direct Known Subclasses:
    ExecutorJPAAuditService

      public class TaskJPAAuditService
      extends JPAAuditLogService

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.JPAAuditLogService

      `criteriaFieldClasses, criteriaFields, NODE_INSTANCE_LOG_DELETE, NODE_INSTANCE_LOG_QUERY, persistenceStrategy, PROCESS_INSTANCE_LOG_DELETE, PROCESS_INSTANCE_LOG_QUERY, VARIABLE_INSTANCE_LOG_DELETE, VARIABLE_INSTANCE_LOG_QUERY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskJPAAuditService()`
    `TaskJPAAuditService(javax.persistence.EntityManagerFactory emf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder` | `auditTaskInstanceLogDelete()`
    `org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder` | `auditTaskInstanceLogQuery()`
    `void` | `clear()`
    `org.kie.internal.runtime.manager.audit.query.TaskEventInstanceLogDeleteBuilder` | `taskEventInstanceLogDelete()`

    - ### Methods inherited from class org.jbpm.process.audit.JPAAuditLogService

      `addCriteria, addVarValCriteria, checkVarValCriteria, convertListToInterfaceList, dispose, doDelete, doDelete, doQuery, doQuery, findActiveProcessInstances, findActiveProcessInstances, findNodeInstances, findNodeInstances, findProcessInstance, findProcessInstances, findProcessInstances, findSubProcessInstances, findVariableInstances, findVariableInstances, findVariableInstancesByName, findVariableInstancesByNameAndValue, getPersistenceUnitName, nodeInstanceLogDelete, nodeInstanceLogQuery, processInstanceLogDelete, processInstanceLogQuery, queryNodeInstanceLogs, queryProcessInstanceLogs, queryVariableInstanceLogs, setPersistenceUnitName, variableInstanceLogDelete, variableInstanceLogQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskJPAAuditService

          public TaskJPAAuditService()

    - #### TaskJPAAuditService

          public TaskJPAAuditService(javax.persistence.EntityManagerFactory emf)

  - ### Method Detail

    - #### auditTaskInstanceLogDelete

          public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder auditTaskInstanceLogDelete()

    - #### taskEventInstanceLogDelete

          public org.kie.internal.runtime.manager.audit.query.TaskEventInstanceLogDeleteBuilder taskEventInstanceLogDelete()

    - #### auditTaskInstanceLogQuery

          public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogQueryBuilder auditTaskInstanceLogQuery()

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.kie.api.runtime.manager.audit.AuditService`
      Overrides:
        `clear` in class `JPAAuditLogService`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.